## org.irisa.genouest.logol.types
Class Variable

    java.lang.Object
      org.irisa.genouest.logol.types.AbstractVariable
          org.irisa.genouest.logol.types.Variable

Direct Known Subclasses:
  FixedVariable

    public class Variable

extends AbstractVariable

Standard class managing treatment for a variable content

Author:
  osallou History: 15/01/09 @FIX 1281 09/02/09 @FIX 1288 12/06/09 @FIX 1378 23/07/09 @FIX 1394 24/07/09 @FIX 1269 01/03/10 @FIX 1578

Constructor Summary
`Variable(int varID)`

Method Summary
`java.lang.String` `content(LogolVariable lvar)` Return prolog content for the variable definition

Methods inherited from class org.irisa.genouest.logol.types.AbstractVariable
`externalPredicate, getProlog`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Variable

    public Variable(int varID)

Method Detail

### content

    public java.lang.String content(LogolVariable lvar)
                             throws GrammarException

  Return prolog content for the variable definition

  Parameters:
    `lvar` - variable to analyse
  Returns:
    prolog sentence to manage constraints etc...
  Throws:
    `GrammarException`